statistics-0.10.3.1: A library of statistical types, data, and functions

Portability | portable
Stability | experimental
Maintainer | bos@serpentine.com
Safe Haskell | None

Statistics.Distribution.StudentT

Description

Student-T distribution

Synopsis

- data StudentT
- studentT :: Double -> StudentT
- studentTndf :: StudentT -> Double
- studentTUnstandardized :: Double -> Double -> Double -> LinearTransform StudentT

# Documentation

data StudentT

Student-T distribution

Instances

Eq StudentT |
Read StudentT |
Show StudentT |
Typeable StudentT |
ContGen StudentT |
MaybeVariance StudentT |
MaybeMean StudentT |
ContDistr StudentT |
Distribution StudentT |

studentT :: Double -> StudentT

Create Student-T distribution. Number of parameters must be positive.

studentTndf :: StudentT -> Double

studentTUnstandardized

Arguments

:: Double | Number of degrees of freedom
-> Double | Central value (0 for standard Student T distribution)
-> Double | Scale parameter
-> LinearTransform StudentT |

Create an unstandardized Student-t distribution.